    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2006, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------------
    028     * SeriesDataset.java
    029     * ------------------
    030     * (C) Copyright 2000-2006, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: SeriesDataset.java,v 1.4.2.2 2006/07/06 16:13:48 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 17-Nov-2001 : Version 1 (DG);
    040     * 07-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    041     * 19-May-2005 : Changed getSeriesName() --> getSeriesKey() and added indexOf()
    042     *               method (DG);
    043     *
    044     */
    045
    046    package org.jfree.data.general;
    047
    048    import org.jfree.data.category.CategoryDataset;
    049    import org.jfree.data.xy.IntervalXYDataset;
    050    import org.jfree.data.xy.IntervalXYZDataset;
    051    import org.jfree.data.xy.XYDataset;
    052    import org.jfree.data.xy.XYZDataset;
    053
    054    /**
    055     * The interface for a dataset consisting of one or many series of data.
    056     *
    057     * @see CategoryDataset
    058     * @see IntervalXYDataset
    059     * @see IntervalXYZDataset
    060     * @see XYDataset
    061     * @see XYZDataset
    062     */
    063    public interface SeriesDataset extends Dataset {
    064
    065        /**
    066         * Returns the number of series in the dataset.
    067         *
    068         * @return The series count.
    069         */
    070        public int getSeriesCount();
    071
    072        /**
    073         * Returns the key for a series.
    074         *
    075         * @param series  the series index (in the range <code>0</code> to
    076         *     <code>getSeriesCount() - 1</code>).
    077         *
    078         * @return The key for the series.
    079         */
    080        public Comparable getSeriesKey(int series);
    081
    082        /**
    083         * Returns the index of the series with the specified key, or -1 if there
    084         * is no such series in the dataset.
    085         *
    086         * @param seriesKey  the series key (<code>null</code> permitted).
    087         *
    088         * @return The index, or -1.
    089         */
    090        public int indexOf(Comparable seriesKey);
    091
    092    }